//
//  ViewController.m
//  ex_MotionShake_dice
//
//  Created by yoshiyuki oshige on 2014/02/28.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    // アニメーションの各コマのイメージを入れる配列
	NSArray *_animationSeq;
    // 現在のサイコロのシーケンス番号
	int _seqNum;
    // アニメーションのタイマー
	NSTimer *_animateTimer;
}

// サイコロをアウトレット接続してプロパティ宣言する
@property (weak, nonatomic) IBOutlet UIImageView *dice;
// サイコロのタップジェスチャーレコグナイザをアクション接続してメソッド宣言する
- (IBAction)stopRoll:(UITapGestureRecognizer *)sender;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    // アニメーションの各コマのイメージを配列に入れる
    _animationSeq = @[[UIImage imageNamed:@"dice1.png"],
                      [UIImage imageNamed:@"dice2.png"],
                      [UIImage imageNamed:@"dice3.png"],
                      [UIImage imageNamed:@"dice4.png"],
                      [UIImage imageNamed:@"dice5.png"],
                      [UIImage imageNamed:@"dice6.png"]];
    // 表示するseq番号
    _seqNum = 0;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


// サイコロの回転を止める -- サイコロのタップで実行される
- (IBAction)stopRoll:(UITapGestureRecognizer *)sender {
    // タイマーを破棄する
    [_animateTimer invalidate];
}

// サイコロを回す -- モーションイベントで実行される
- (void)motionBegan:(UIEventSubtype)motion withEvent:(UIEvent *)event
{
    // タイマーが動作中ならばキャンセルする
    if ([_animateTimer isValid]) return;
    
    //モーションがシェイクのときに実行する
    if(motion == UIEventSubtypeMotionShake){
        // タイマーを作る
        _animateTimer = [NSTimer scheduledTimerWithTimeInterval:0.1
                                                         target:self
                                                       selector:@selector(rollDice)
                                                       userInfo:nil
                                                        repeats:YES];
        
    }
}

// サイコロのイメージを入れ替える
- (void)rollDice {
    // 配列イメージのインデックス番号のカウントアップ
    if(_seqNum>=(_animationSeq.count-1)){
        _seqNum = 0;
    }else{
        _seqNum++;
    }
    // サイコロのイメージを入れ替える
    self.dice.image = _animationSeq[_seqNum];
}

@end
