//
//  ViewController.m
//  ex_MotionShake_sound
//
//  Created by yoshiyuki oshige on 2014/03/02.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"
#import <AVFoundation/AVFoundation.h>
#import <AudioToolbox/AudioToolbox.h>

@interface ViewController ()
{
    // オーディオプレーヤー
    AVAudioPlayer *_audioPlayer;
}
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// 再生する効果音のパスを取得する
    NSString *path = [[NSBundle mainBundle] pathForResource:@"swish" ofType:@"aif"];
    NSURL *url = [NSURL fileURLWithPath:path];
    // 効果音のオーディオプレーヤー
    _audioPlayer = [[AVAudioPlayer alloc] initWithContentsOfURL:url error:NULL];
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)motionBegan:(UIEventSubtype)motion withEvent:(UIEvent *)event
{
    //モーションがシェイクのときに実行する
    if(motion == UIEventSubtypeMotionShake){
        // サウンドを再生する
        if(_audioPlayer.playing){
            // 再生中なら最初から再生
            _audioPlayer.currentTime = 0.0;
        }else{
            // サウンドの再生
            [_audioPlayer play];
        }
        
        // バイブレーション
        AudioServicesPlaySystemSound(kSystemSoundID_Vibrate);
        
        // 背景を赤にする
        self.view.backgroundColor = [UIColor redColor];
        // 背景をじんわり白に戻す
        [UIView animateWithDuration:1.0 //1秒のアニメ
                              delay:1.0 // 1秒待ってアニメを開始
                            options:UIViewAnimationOptionCurveEaseOut
                         animations:^{
                             // 白に戻す
                             self.view.backgroundColor = [UIColor whiteColor];
                         }
                         completion:NULL];
    }
}

@end
