//
//  ViewController.m
//  ex_MapKit
//
//  Created by yoshiyuki oshige on 2014/03/06.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"
#import <MapKit/MapKit.h>

@interface ViewController ()
// マップビューと接続されているプロパティ宣言
@property (weak, nonatomic) IBOutlet MKMapView *myMapView;
// followボタンのアクションと接続されているメソッド宣言
- (IBAction)startFollow:(UIBarButtonItem *)sender;
// Bookmarksボタンのアクションと接続されているメソッド宣言
- (IBAction)goBookmark:(UIBarButtonItem *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// ユーザートラッキングモードをFollowにする
- (IBAction)startFollow:(UIBarButtonItem *)sender {
    [self.myMapView setUserTrackingMode:MKUserTrackingModeFollow animated:YES];
}

// 緯度経度で指定した領域を表示する
- (IBAction)goBookmark:(UIBarButtonItem *)sender {
    CLLocationDegrees latitude = 35.323113;// 緯度
    CLLocationDegrees longitude = 139.5539368;// 経度
    CLLocationCoordinate2D center = CLLocationCoordinate2DMake(latitude, longitude);// 中心
    // 領域
    MKCoordinateRegion theRegion = MKCoordinateRegionMakeWithDistance(center, 1000, 1000);
    // 指定の領域を表示する
    [self.myMapView setRegion:theRegion animated:YES];
}

@end
