//
//  ViewController.m
//  ex_MyCamera
//
//  Created by yoshiyuki oshige on 2014/03/10.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController () <UIImagePickerControllerDelegate, UINavigationControllerDelegate>

// イメージビューと接続されているプロパティ宣言
@property (weak, nonatomic) IBOutlet UIImageView *myImageView;
// Cameraボタンと接続されているメソッド宣言
- (IBAction)startCamera:(UIBarButtonItem *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// カメラを起動する
- (IBAction)startCamera:(UIBarButtonItem *)sender {
    // カメラを使えるかどうかチェックする
    if([UIImagePickerController isSourceTypeAvailable:UIImagePickerControllerSourceTypeCamera])
    {
        // カメラ入力用のイメージピッカーを作る
        UIImagePickerController *imagePicker = [[UIImagePickerController alloc] init];
        imagePicker.delegate = self; //デリゲートの設定
        imagePicker.sourceType = UIImagePickerControllerSourceTypeCamera; //カメラ入力を使う
        imagePicker.allowsEditing = NO;// 編集はしない
        
        // カメラの操作画面を表示する
        [self presentViewController:imagePicker animated:YES completion:NULL];
    }
}

// カメラのシャッターボタンがタップされた
- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingMediaWithInfo:(NSDictionary *)info
{
    // 入力イメージを取得する
    UIImage *originalImage = [info objectForKey:UIImagePickerControllerOriginalImage];
    // 撮影した画像をイメージビューに表示する
    self.myImageView.image = originalImage;
    // 撮影した画像をカメラロールに保存する
    UIImageWriteToSavedPhotosAlbum(originalImage, NULL, NULL, NULL);
    // カメラの操作画面を終了する
    [self dismissViewControllerAnimated:YES completion:NULL];
}

// カメラのキャンセルボタンがタップされた
- (void)imagePickerControllerDidCancel:(UIImagePickerController *)picker
{
    // カメラの操作画面を終了する
    [self dismissViewControllerAnimated:YES completion:NULL];
}

@end